CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

DimensionLineExtend Property (ActiveX)

2023-1-3 18:42| 发布者: admin| 查看: 526| 评论: 0|来自: AutoCAD

摘要: 指定在绘制倾斜描边而不是箭头时尺寸线超出延伸线的距离。

指定在绘制倾斜描边而不是箭头时尺寸线超出延伸线的距离。

支持的平台:仅窗口

签名

工 务 局:

object.DimensionLineExtend
对象

类型:对齐,暗弧长度,暗旋转

此属性适用的对象。

属性值

只读:

类型:

一个正实数,指定将尺寸线延伸到延伸线之外的距离。

言论

此属性的初始值为 0.0000。

注意:此属性覆盖给定维度的 DIMDLE 系统变量的值。

例子

工 务 局:

Sub Example_DimensionLineExtend()
   ' This example creates an aligned dimension in model space and
   ' uses DimensionLineExtend to specify the distance the dimension
   ' line extends beyond the extension line when oblique strokes are
   ' drawn instead of arrowheads

    Dim dimObj As AcadDimAligned
    Dim point1(0 To 2) As Double, point2(0 To 2) As Double
    Dim location(0 To 2) As Double
    
    ' Define the dimension
    point1(0) = 5: point1(1) = 5: point1(2) = 0
    point2(0) = 10.123: point2(1) = 5: point2(2) = 0
    location(0) = 5: location(1) = 7: location(2) = 0
    
    ' Create an aligned dimension object in model space
    Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
    dimObj.Arrowhead1Type = acArrowOblique
    dimObj.Arrowhead2Type = acArrowOblique
    
    ThisDrawing.Application.ZoomAll
    
    MsgBox "A new Dimension has been created.  Press any key to extend the dimension lines."
    
    ' Round the distance of the alternate dimension to 0.50 of a unit
    dimObj.DimensionLineExtend = 2
    ThisDrawing.Regen acAllViewports
    
    MsgBox "The dimension lines have been extended to: " & dimObj.DimensionLineExtend
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_DimensionLineExtend()
    ;; This example creates an aligned dimension in model space and
    ;; uses DimensionLineExtend to specify the distance the dimension
    ;; line extends beyond the extension line when oblique strokes are
    ;; drawn instead of arrowheads
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the dimension
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 10.123 5 0)
          location (vlax-3d-point 5 7 0))
    
    ;; Create an aligned dimension object in model space
    (setq modelSpace (vla-get-ModelSpace doc))  
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    (vla-put-Arrowhead1Type dimObj acArrowOblique)
    (vla-put-Arrowhead2Type dimObj acArrowOblique)
    
    (vla-ZoomAll acadObj)
    
    (alert "A new Dimension has been created.")
    
    ;; Round the distance of the alternate dimension to 0.50 of a unit
    (vla-put-DimensionLineExtend dimObj 2)
    (vla-Regen doc acAllViewports)
    
    (alert (strcat "The dimension lines have been extended to: " (rtos (vla-get-DimensionLineExtend dimObj) 2)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-19 12:02

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部